@import 'variables';

.results-page {
  width: 100%;
  height: calc(100vh - 135px);
  background: #f8f6fa;
  position: relative;

  .page-content {
    width: auto;
    height: 100%;
  }

  .content-loading {
    display: block;
    width: 100%;
    height: calc(100vh - 266px);
    position: absolute;
    top: 0;
    left: 0;
  }

  .actions {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 24px 24px 0;
  }

  .filters-wrap {
    padding: 20px;
  }

  ::ng-deep.mat-checkbox {
    height: 21px;
    margin-right: 30px;

    .mat-checkbox-inner-container {
      width: 16px;
      height: 16px;
      bottom: 1px;
    }

    .mat-checkbox-label {
      color: $gray-darker;
      font-size: 12px;
    }

    .mat-checkbox-checked {
      &.mat-accent {
        .mat-checkbox-background {
          background: $white-text-color;
        }
      }

      .mat-checkbox-checkmark {
        fill: $primary-color;
      }
    }
  }

  ::ng-deep.mat-checkbox-checked {
    &.mat-accent {
      .mat-checkbox-background {
        background: $white-text-color;
      }
    }

    .mat-checkbox-checkmark {
      fill: $primary-color;
    }

    .mat-checkbox-checkmark-path {
      stroke: $primary-color !important;
    }
  }
}

idemg-line-chart {
  display: block;
  height: calc(100% - 64px);
  width: 100%;
}
